---
title: dy
slug: Web/SVG/Attribute/dy
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>dy</code></strong> attribute indicates a shift along the y-axis on the position of an element or its content.</p>

<p>Seven elements utilize this attribute: {{SVGElement('altGlyph')}}, {{SVGElement('feDropShadow')}}, {{SVGElement('feOffset')}}, {{SVGElement('glyphRef')}}, {{SVGElement('text')}}, {{SVGElement('tref')}}, and {{SVGElement('tspan')}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- Lines materialized the position of the glyphs --&gt;
  &lt;line x1="10%" x2="10%"  y1="0"   y2="100%" /&gt;
  &lt;line x1="0"   x2="100%" y1="30%" y2="30%"  /&gt;
  &lt;line x1="0"   x2="100%" y1="80%" y2="80%"  /&gt;

  &lt;!-- Some reference text --&gt;
  &lt;text x="10%" y="30%" fill="grey"&gt;SVG&lt;/text&gt;

  &lt;!-- The same text with a shift along the y-axis --&gt;
  &lt;text dy="50%" x="10%" y="30%"&gt;SVG&lt;/text&gt;
&lt;/svg&gt;</pre>

<pre class="brush: css">line {
  stroke: red;
  stroke-width: .5px;
  stroke-dasharray: 3px;
}</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="altGlyph">altGlyph</h2>

<p class="warning"><strong>Warning:</strong> As of SVG2 {{SVGElement('altGlyph')}} is deprecated and shouldn't be used.</p>

<p>For {{SVGElement('altGlyph')}}, if it contains a single value, <code>dy</code> defines a shift along the y-axis for all alternate glyph.</p>

<p>If there are multiple values, <code>dy</code> defines a shift along the y-axis for each individual glyph relative to the preceding glyph. If there are less values than glyphes, the remaining glyphes use a value of <code>0</code>. If there are more values than glyphes, extra values are ignored.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDropShadow">feDropShadow</h2>

<p>For {{SVGElement('feDropShadow')}}, <code>dy</code> defines the y offset of the dropped shadow. The unit used to resolve the value of the attribute is set by the {{SVGAttr('primitiveUnits')}} attribute of the {{SVGElement('filter')}} element.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>2</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feOffset">feOffset</h2>

<p>For {{SVGElement('feOffset')}}, <code>dy</code> defines the y offset of the filter input graphic. The unit used to resolve the value of the attribute is set by the {{SVGAttr('primitiveUnits')}} attribute of the {{SVGElement('filter')}} element.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="glyphRef">glyphRef</h2>

<p class="warning"><strong>Warning:</strong> As of SVG2 {{SVGElement('glyphRef')}} is deprecated and shouldn't be used.</p>

<p>For {{SVGElement('glyphRef')}}, <code>dy</code> defines the y offset of the glyph, in the font metric system.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="text">text</h2>

<p>For {{SVGElement('text')}}, if it contains a single value, <code>dy</code> defines a shift along the y-axis for all glyphs.</p>

<p>If there are multiple values, <code>dy</code> defines a shift along the y-axis for each individual glyph relative to the preceding glyph. If there are less values than glyphes, the remaining glyphes use a value of <code>0</code>. If there are more values than glyphes, extra values are ignored.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 150 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- Horizontal lines --&gt;
  &lt;line x1="0" x2="100%" y1="30" y2="30" /&gt;
  &lt;line x1="0" x2="100%" y1="40" y2="40" /&gt;
  &lt;line x1="0" x2="100%" y1="50" y2="50" /&gt;
  &lt;line x1="0" x2="100%" y1="60" y2="60" /&gt;

  &lt;!-- Vertical lines --&gt;
  &lt;line x1="10" x2="10" y1="0" y2="100%" /&gt;
  &lt;line x1="50" x2="50" y1="0" y2="100%" /&gt;
  &lt;line x1="90" x2="90" y1="0" y2="100%" /&gt;

  &lt;!-- Behaviors change based on the number of values in the attributes --&gt;
  &lt;text dy="20"      x="10" y="30"&gt;SVG&lt;/text&gt;
  &lt;text dy="0 10"    x="50" y="30"&gt;SVG&lt;/text&gt;
  &lt;text dy="0 10 20" x="90" y="30"&gt;SVG&lt;/text&gt;
&lt;/svg&gt;</pre>

<pre class="brush: css">line {
  stroke: red;
  stroke-width: .5px;
  stroke-dasharray: 3px;
}</pre>

<p>{{EmbedLiveSample('text', '100%', 100)}}</p>

<h2 id="tref">tref</h2>

<p class="warning"><strong>Warning:</strong> As of SVG2 {{SVGElement('tref')}} is deprecated and shouldn't be used.</p>

<p>For {{SVGElement('tref')}}, if it contains a single value, <code>dy</code> defines a shift along the y-axis for all glyphs.</p>

<p>If there are multiple values, <code>dy</code> defines a shift along the y-axis for each individual glyph relative to the preceding glyph. If there are less values than glyphes, the remaining glyphes use a value of <code>0</code>. If there are more values than glyphes, extra values are ignored.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="tspan">tspan</h2>

<p>For {{SVGElement('tspan')}}, if it contains a single value, <code>dy</code> defines a shift along the y-axis for all alternate glyph.</p>

<p>If there are multiple values, <code>dy</code> defines a shift along the y-axis for each individual glyph relative to the preceding glyph. If there are less values than glyphes, the remaining glyphes use a value of <code>0</code>. If there are more values than glyphes, extra values are ignored.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-fedropshadow-dy', 'dy') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Initial definition for <code>&lt;feDropShadow&gt;</code></td>
  </tr>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-feoffset-dy', 'dy') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for <code>&lt;feOffset&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#TextElementDYAttribute", "dy")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;text&gt;</code> and <code>&lt;tspan&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feOffsetDyAttribute", "dy")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;feOffset&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#AltGlyphElementDYAttribute", "dy")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;altGlyph&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#GlyphRefElementDYAttribute", "dy")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;glyphRef&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TextElementDYAttribute", "dy")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;text&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TSpanElementDYAttribute", "dy")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;tref&gt;</code> and <code>&lt;tspan&gt;</code></td>
  </tr>
 </tbody>
</table>
